# Class: memcached
#
#
class memcached {
    package { "memcached":
        ensure => installed,
    }

    file { "memcached-conf":
        path => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => "/etc/memcached.conf",
            default => "/etc/sysconfig/memcached",
        },
        content => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => template("memcached/debmemcached.erb"),
            default => template("memcached/memcached.erb"),
        },
        require => Package["memcached"],
        notify => Service["memcached"],
    }

    service { "memcached":
        ensure => running,
        enable => true,
        hasstatus  => true,
        require => [Package["memcached"], File["memcached-conf"]],
    }
}